# Uses of Class
javafx.scene.input.RotateEvent

Packages that use RotateEvent
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of RotateEvent in javafx.scene

Methods in javafx.scene that return types with arguments of type RotateEvent
Modifier and Type
Method
Description
`final EventHandler<? super RotateEvent>`
Node.`getOnRotate()`
Gets the value of the `onRotate` property.
`final EventHandler<? super RotateEvent>`
Scene.`getOnRotate()`
Gets the value of the `onRotate` property.
`final EventHandler<? super RotateEvent>`
Node.`getOnRotationFinished()`
Gets the value of the `onRotationFinished` property.
`final EventHandler<? super RotateEvent>`
Scene.`getOnRotationFinished()`
Gets the value of the `onRotationFinished` property.
`final EventHandler<? super RotateEvent>`
Node.`getOnRotationStarted()`
Gets the value of the `onRotationStarted` property.
`final EventHandler<? super RotateEvent>`
Scene.`getOnRotationStarted()`
Gets the value of the `onRotationStarted` property.
`final ObjectProperty<EventHandler<? super RotateEvent>>`
Node.`onRotateProperty()`
Defines a function to be called when user performs a rotation action.
`final ObjectProperty<EventHandler<? super RotateEvent>>`
Scene.`onRotateProperty()`
Defines a function to be called when user performs a rotating action.
`final ObjectProperty<EventHandler<? super RotateEvent>>`
Node.`onRotationFinishedProperty()`
Defines a function to be called when a rotation gesture ends.
`final ObjectProperty<EventHandler<? super RotateEvent>>`
Scene.`onRotationFinishedProperty()`
Defines a function to be called when a rotating gesture ends.
`final ObjectProperty<EventHandler<? super RotateEvent>>`
Node.`onRotationStartedProperty()`
Defines a function to be called when a rotation gesture is detected.
`final ObjectProperty<EventHandler<? super RotateEvent>>`
Scene.`onRotationStartedProperty()`
Defines a function to be called when a rotating gesture is detected.
Method parameters in javafx.scene with type arguments of type RotateEvent
Modifier and Type
Method
Description
`final void`
Node.`setOnRotate(EventHandler<? super RotateEvent> value)`
Sets the value of the `onRotate` property.
`final void`
Scene.`setOnRotate(EventHandler<? super RotateEvent> value)`
Sets the value of the `onRotate` property.
`final void`
Node.`setOnRotationFinished(EventHandler<? super RotateEvent> value)`
Sets the value of the `onRotationFinished` property.
`final void`
Scene.`setOnRotationFinished(EventHandler<? super RotateEvent> value)`
Sets the value of the `onRotationFinished` property.
`final void`
Node.`setOnRotationStarted(EventHandler<? super RotateEvent> value)`
Sets the value of the `onRotationStarted` property.
`final void`
Scene.`setOnRotationStarted(EventHandler<? super RotateEvent> value)`
Sets the value of the `onRotationStarted` property.

## Uses of RotateEvent in javafx.scene.input

Fields in javafx.scene.input with type parameters of type RotateEvent
Modifier and Type
Field
Description
`static final EventType<RotateEvent>`
RotateEvent.`ANY`
Common supertype for all rotate event types.
`static final EventType<RotateEvent>`
RotateEvent.`ROTATE`
This event occurs when user performs a rotating gesture such as dragging two fingers around each other.
`static final EventType<RotateEvent>`
RotateEvent.`ROTATION_FINISHED`
This event occurs when a rotating gesture ends.
`static final EventType<RotateEvent>`
RotateEvent.`ROTATION_STARTED`
This event occurs when a rotating gesture is detected.
Methods in javafx.scene.input that return RotateEvent
Modifier and Type
Method
Description
`RotateEvent`
RotateEvent.`copyFor(Object newSource, EventTarget newTarget)`
`RotateEvent`
RotateEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<RotateEvent> type)`
Creates a copy of the given event with the given fields substituted.
Methods in javafx.scene.input that return types with arguments of type RotateEvent
Modifier and Type
Method
Description
`EventType<RotateEvent>`
RotateEvent.`getEventType()`
Method parameters in javafx.scene.input with type arguments of type RotateEvent
Modifier and Type
Method
Description
`RotateEvent`
RotateEvent.`copyFor(Object newSource, EventTarget newTarget, EventType<RotateEvent> type)`
Creates a copy of the given event with the given fields substituted.
Constructor parameters in javafx.scene.input with type arguments of type RotateEvent
Modifier
Constructor
Description
``
`RotateEvent(Object source, EventTarget target, EventType<RotateEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, double angle, double totalAngle, PickResult pickResult)`
Constructs new RotateEvent event.
``
`RotateEvent(EventType<RotateEvent> eventType, double x, double y, double screenX, double screenY, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown, boolean direct, boolean inertia, double angle, double totalAngle, PickResult pickResult)`
Constructs new RotateEvent event with null source and target